/* mutils.h
 * Wed Sep 28 17:41:45 PDT 2005
 * staka
 *
 * my utility functions
 */

#ifndef __UTILS__
#define __UTILS__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <zlib.h>
#include <sys/types.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>
#include <sys/stat.h>
#include <sys/types.h>
#ifdef CHECKMALLOC
#include "check_malloc.h"
#endif

void *m_malloc(size_t size);
void *m_realloc(void *ptr, size_t size);
void m_free(void *ptr);
int isLittle(void);
int *bswapli32(int *p);
float *bswaplf32(float *p);
char *m_strdup(const char *s);
char *m_chomp(char *str);
gzFile m_gzopen(const char *path, const char *mode);
int m_gzclose(gzFile stream);
FILE *m_fopen(const char *path, const char *mode);
int m_fclose(FILE *stream);
size_t m_fread(void *ptr, size_t size, size_t nmemb, FILE *stream, char *fname);
void m_fgets(char *s, int size, FILE *stream);
int m_lock_fcntl(FILE *fp);
int m_unlock_fcntl(FILE *fp);
int m_lockdir(char *lockd);
int m_unlockdir(char *lockd);

#endif /* __UTILS__ */

